HalXmlRenderer (Grails 5.1.2)

Package: grails.rest.render.hal

## [Groovy] Class HalXmlRenderer<T>

- grails.rest.render.hal.HalXmlRenderer

-     @groovy.transform.CompileStatic
      class HalXmlRenderer<T>
      extends AbstractLinkingRenderer<T>

  Renders domain instances in HAL XML format (see http://stateless.co/hal_specification.html)

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `LINK_TAG` |
    `static MimeType` | `MIME_TYPE` |
    `static java.lang.String` | `RELATIONSHIP_ATTRIBUTE` |
    `static java.lang.String` | `RESOURCE_TAG` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HalXmlRenderer (java.lang.Class<T> targetType)`
    `HalXmlRenderer (java.lang.Class<T> targetType, MimeType mimeType)`
    `HalXmlRenderer (java.lang.Class<T> targetType, MimeType[] mimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `renderInternal(T object, org.radeox.api.engine.context.RenderContext context)`
    `` | `protected void` | `startResourceTag(XMLStreamWriter writer, java.lang.String resourceHref, java.util.Locale locale, java.lang.String title)`
    `` | `protected void` | `startResourceTagForCurrentPath(org.radeox.api.engine.context.RenderContext context, XMLStreamWriter writer)`
    `` | `protected void` | `writeDomainProperty(java.lang.Object value, java.lang.String propertyName, java.lang.Object writerObject)`
    `` | `protected void` | `writeDomainWithEmbeddedAndLinks(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object, org.radeox.api.engine.context.RenderContext context, grails.converters.XML xml, java.util.Set writtenObjects)`
    `` | `void` | `writeLink(Link link, java.util.Locale locale, java.lang.Object writerObject)`

- - ### Field Detail

    - #### public static final java.lang.String LINK_TAG

    - #### public static final MimeType MIME_TYPE

    - #### public static final java.lang.String RELATIONSHIP_ATTRIBUTE

    - #### public static final java.lang.String RESOURCE_TAG

  - ### Constructor Detail

    - #### HalXmlRenderer(java.lang.Class<T> targetType)

    - #### HalXmlRenderer(java.lang.Class<T> targetType, MimeType mimeType)

    - #### HalXmlRenderer(java.lang.Class<T> targetType, MimeType[] mimeTypes)

  - ### Method Detail

    - #### @java.lang.Override void renderInternal(T object, org.radeox.api.engine.context.RenderContext context)

    - #### protected void startResourceTag(XMLStreamWriter writer, java.lang.String resourceHref, java.util.Locale locale, java.lang.String title)

    - #### protected void startResourceTagForCurrentPath(org.radeox.api.engine.context.RenderContext context, XMLStreamWriter writer)

    - #### @java.lang.Override protected void writeDomainProperty(java.lang.Object value, java.lang.String propertyName, java.lang.Object writerObject)

    - #### protected void writeDomainWithEmbeddedAndLinks(org.grails.datastore.mapping.model.PersistentEntity entity, java.lang.Object object, org.radeox.api.engine.context.RenderContext context, grails.converters.XML xml, java.util.Set writtenObjects)

    - #### void writeLink(Link link, java.util.Locale locale, java.lang.Object writerObject)